/**
 * Theme functions file.
 */
(function($) {
  "use strict";

  $(document).ready(function($){

    var $body = $('body');

    $('#nav-toggle').on( 'click', function(e) {
      e.preventDefault();
      $( '.mobile-navigation' ).slideToggle(300);
    });

    $( '.site-navigation .menu-item-has-children > a, .site-navigation .page_item_has_children > a' ).on( 'click', function(e) {
      e.preventDefault();
      $(this).next('.sub-menu, .children').slideToggle(200);
    });

    var $postsGrid = $( '#posts-grid' );

    if( $.fn.masonry !== undefined && $postsGrid.length > 0 ) {
      $postsGrid.imagesLoaded( function() {           
        $postsGrid.masonry({
          itemSelector: '.hentry',
          isRTL: $body.hasClass( 'rtl' ) ? true : false,
          percentPosition: true
        });
      }); 
    }

    var $masonry_container = $( '.masonry-container' );

    if( $.fn.masonry !== undefined && $masonry_container.length ) {
      $masonry_container.imagesLoaded(function() {
        $masonry_container.masonry({
          itemSelector: '.gallery-item',
          isRTL: $body.hasClass( 'rtl' ) ? true : false
        });
      });
    }

    var $owl_container = $( '.owl-carousel' );

    if( $.fn.owlCarousel !== undefined && $owl_container.length ) {

      $owl_container.each( function() {
        var $owl = $(this),
            columns = $owl.attr( 'data-columns' );

        $owl.imagesLoaded(function() {
          $owl.owlCarousel({
            loop: true,
            margin: 10, 
            autoHeight: true, 
            smartSpeed: columns < 2 ? 600 : 300,
            dots: columns < 2 ? false : true,
            nav: columns < 2 ? true : false,
            rtl: $body.hasClass( 'rtl' ) ? true : false,
            navText : [ $body.hasClass( 'rtl' ) ? '<i class="fa fa-angle-right"></i>' : '<i class="fa fa-angle-left"></i>', $body.hasClass( 'rtl' ) ? '<i class="fa fa-angle-left"></i>' : '<i class="fa fa-angle-right"></i>' ],
            responsive:{
                0:{
                  items: columns < 2 ? parseInt( columns ) : 2,
                  margin: 5
                },
                768:{
                  items: parseInt( columns )
                }
            }
          });
        });
      });
    }

    // Share Buttons
    $('.weeland-share-button').on( 'click', function(e) {
      e.preventDefault();
      var $button = $(this),
          newWindowWidth = 550,
          newWindowHeight = 450,
          leftPos = ( $( window ).width()/2 ) - ( newWindowWidth/2 ),
          topPos = ( $( window ).height()/2 ) - ( newWindowHeight/2 );
          
      var newWindow = window.open( $button.attr('href'), '', 'height=' + newWindowWidth + ', width=' + newWindowHeight + ', left=' + leftPos + ', top=' + topPos );

      if ( window.focus )
        newWindow.focus();
    });
    
    // Fitvids init
    $('.post').fitVids();
  });
})(jQuery);