<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package WordPress
 * @subpackage Weeland
 * @since 1.0
 * @version 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="profile" href="http://gmpg.org/xfn/11">

  <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="hfeed site">

  <?php 
  $mobile_navigation = wp_nav_menu( array( 
    'theme_location'  => 'primary',
    'menu_class'      => 'nav-menu',
    'container_class' => 'menu-container',
    'echo'            => false,
    'item_spacing'    => 'discard'
  ) ); 

  if( $mobile_navigation ) {
    printf( '<nav id="mobile-navigation" class="mobile-navigation site-navigation">%s</nav>', $mobile_navigation ); 
  }
  ?>

  <div id="sidebar" class="sidebar">
    <div class="sidebar-inner">
      <?php if( $mobile_navigation ) : ?>
        <div class="toggle-buttons">
          <a href="#" id="nav-toggle" class="nav-toggle"><i class="menu-icon"></i></a>
        </div>
      <?php endif; ?>

      <header class="sidebar-header">
        <div class="site-identity">
          <?php weeland_site_identity(); ?>
        </div>
      </header>

      <?php 
      $primary_navigation = wp_nav_menu( array( 
        'theme_location'  => 'primary',
        'menu_class'      => 'nav-menu',
        'container_class' => 'menu-container',
        'echo'            => false,
        'item_spacing'    => 'discard'
      ) ); 

      if( $primary_navigation ) {
        printf( '<nav id="primary-navigation" class="primary-navigation site-navigation">%s</nav>', $primary_navigation ); 
      }
      ?>

      <footer class="sidebar-footer">
        <?php weeland_social_profiles(); ?>
        <?php weeland_site_copyright( '<div class="site-copyright">', '</div>' ); ?>
      </footer>
    </div>
  </div>

  <div id="content" class="site-content">