<?php
/**
 * The default template for displaying posts grid content.
 *
 * Used for both single and index/archive.
 *
 * @since Weeland 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <?php 
  if( get_theme_mod( 'display_grid_thumbnail', 1 ) ) {
    weeland_post_thumbnail( 'weeland-grid-thumbnail' ); 
  }
  ?>
  
  <header class="entry-header">
  <?php 
    if( is_sticky() && is_home() && ! is_paged() ) :
        printf( '<span class="sticky-badge">%s</span>', get_theme_mod( 'sticky_post_title' ) ? esc_html( get_theme_mod( 'sticky_post_title' ) ) : esc_html__( 'Featured', 'weeland' ) );
    else :
      if( get_theme_mod( 'display_grid_categories', 1 ) ) {
        weeland_category_list();
      }
    endif;

    if( get_theme_mod( 'display_grid_title', 1 ) ) {
      the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
    }

    weeland_entry_meta( '<div class="entry-meta">', '</div>', get_theme_mod( 'display_grid_date', 1 ), get_theme_mod( 'display_grid_author', 1 ) ); 
  ?>
  </header><!-- .entry-header -->

  <?php 
  $summary = get_theme_mod( 'display_grid_summary', 'excerpt' ); 

  switch ($summary) {
    case 'excerpt':
        if( get_the_excerpt() ) {
        ?>
          <div class="entry-summary">
          <?php the_excerpt(); ?>
          </div>
        <?php
        }
        break;
    case 'more':
        if( get_the_content() ) {
        ?>
          <div class="entry-summary">
          <?php the_content( esc_html__( 'Continue Reading &rarr;', 'weeland' ) ); ?>
          </div>
        <?php
        }
        break;
    case 'disable':
        break;
  }
  ?>
</article><!-- #post-## -->
