<?php
/**
 * The default template for displaying content
 *
 * Used for both single and index/archive.
 *
 * @since Weeland 1.0
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <div class="content-container">
    <header class="entry-header">
    <?php 
      if( is_sticky() && is_home() && ! is_paged() ) :
          printf( '<span class="sticky-badge">%s</span>', get_theme_mod( 'sticky_post_title' ) ? esc_html( get_theme_mod( 'sticky_post_title' ) ) : esc_html__( 'Featured', 'weeland' ) );
      else :
        if( get_theme_mod( 'display_categories', 1 ) ) {
          weeland_category_list();
        }
      endif;
      
      if ( is_single() ) :
        the_title( '<h1 class="entry-title">', '</h1>' );
      else :
        the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
      endif;
      
      weeland_entry_meta( '<div class="entry-meta">', '</div>', get_theme_mod( 'display_date', 1 ), get_theme_mod( 'display_author', 1 ) ); 
    ?>
    </header><!-- .entry-header -->

    <?php weeland_post_thumbnail(); ?>

    <?php if( is_search() ) : ?>
      <?php if( get_the_excerpt() ) : ?>

        <div class="entry-summary">
        <?php the_excerpt(); ?>
        </div><!-- .entry-summary -->

      <?php endif; ?>
    <?php else : ?>

      <div class="entry-content">
      <?php
        the_content( esc_html__( 'Continue Reading &rarr;', 'weeland' ) );
        
        wp_link_pages( array(
          'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'weeland' ) . '</span>',
          'after'       => '</div>',
          'link_before' => '<span>',
          'link_after'  => '</span>',
          'pagelink'    => ' %',
          'separator'   => ' ',
        ) );
      ?>  
      </div><!-- .entry-content -->
      
    <?php endif; ?>

    <?php weeland_entry_footer( '<footer class="entry-footer">', '</footer>' ); ?>
  </div>
</article><!-- #post-## -->
